---
openapi: 3.0.0
info:
  title: Illumience API
  description: Initial implementation of the Illumience API in support for eSite installations.  This API will be updated with additional capabilities in the future
  version: "1"
servers:
- url: https://api.illumience.com/v1
  description: Illumience API Service
security:
- ApiKeyAuth: []
paths:
  /status:
    summary: Status of all sites
    description: Returns status of all eSite installations assigned to the customer (based on their apikey) as JSON
    get:
      summary: Status of all installations
      description: "Based upon the apiKey, this endpoint will return a JSON object for all installations registered to the users company account"
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Status'
        "401":
          description: Unauthorized
        "5XX":
          description: Unknown server error
components:
  schemas:
    Status:
      type: array
      items:
        $ref: '#/components/schemas/Status_inner'
    Status_inner:
      properties:
        context:
          type: integer
          description: The site ID
        siteName:
          type: string
          description: The name of the site
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header
